%global pkg_name        Gtk2-Notify
%global pkg_version     0.04
%global rpm_pkg_version 0.04
%global rpm_pkg_release 1.n0i.3

Summary:       Perl interface to libnotify
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FL/FLORA/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: libnotify-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib) >= 1.093
Requires:      perl(Glib) >= 1.093


%description
Gtk2::Notify offers a Perl interface to libnotify.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}

# requires DISPLAY
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.3
- version 0.04

* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.03

* Wed Jan 24 2007 Marius FERARU <altblue@n0i.net> - 0.02-1.n0i.1
- version 0.02
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0
